##### windows::basic_random_access_handle::basic_random_access_handle (5 of 6 overloads)

Move-construct a random-access handle from another.

    basic_random_access_handle(
        basic_random_access_handle && other);

This constructor moves a random-access handle from one object to another.

###### Parameters

other

  The other random-access handle object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_random_access_handle(const executor_type&)` constructor.